Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform
Class ASTTransformationCollectorCodeVisitor

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.transform.ASTTransformationCollectorCodeVisitor

    class ASTTransformationCollectorCodeVisitor
    extends ClassCodeVisitorSupport

This visitor walks the AST tree and collects references to Annotations that are annotated themselves by GroovyASTTransformation. Each such annotation is added.

This visitor is only intended to be executed once, during the SEMANTIC_ANALYSIS phase of compilation.

author:
  Danno Ferrin (shemnon)

author:
  Roshan Dawrani (roshandawrani)

Constructor Summary
`ASTTransformationCollectorCodeVisitor(SourceUnit source, GroovyClassLoader transformLoader)`

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)` If the annotation is annotated with { the annotation is added to `stageVisitors` at the appropriate processor visitor.
`void` | `visitClass(ClassNode klassNode)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ASTTransformationCollectorCodeVisitor

    public ASTTransformationCollectorCodeVisitor(SourceUnit source, GroovyClassLoader transformLoader)

Method Detail

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

  If the annotation is annotated with GroovyASTTransformation the annotation is added to `stageVisitors` at the appropriate processor visitor.
  param:
    node the node to process

### visitClass

    public void visitClass(ClassNode klassNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.